Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyExecutableMemberDoc

    org.codehaus.groovy.groovydoc.GroovyMemberDoc
      org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc
          org.codehaus.groovy.groovydoc.GroovyDoc
              org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyMemberDoc, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyExecutableMemberDoc
    extends GroovyMemberDoc

Method Summary
`java.lang.String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`GroovyParameter[]` | `parameters()`
`java.lang.String` | `signature()`
`GroovyType[]` | `thrownExceptionTypes()`
`GroovyClassDoc[]` | `thrownExceptions()`

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Method Detail

### flatSignature

    public java.lang.String flatSignature()

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### isVarArgs

    public boolean isVarArgs()

### parameters

    public GroovyParameter[] parameters()

### signature

    public java.lang.String signature()

### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()

### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()

Groovy Documentation